net.sf.cglib.proxy

## Interface Dispatcher

- All Superinterfaces:
    Callback

      public interface Dispatcher
      extends Callback

  Dispatching `Enhancer` callback. This is identical to the `LazyLoader` interface but needs to be separate so that `Enhancer` knows which type of code to generate.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `loadObject()` Return the object which the original method invocation should be dispatched.

- - ### Method Detail

    - #### loadObject

          java.lang.Object loadObject()
                                      throws java.lang.Exception

      Return the object which the original method invocation should be dispatched. This method is called for every method invocation.
      Returns:
        an object that can invoke the method
      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation